



<div id="carouselExampleControls" class="carousel slide w-50" 
     data-bs-ride="carousel">
    <div class="carousel-inner">
        {% for images in project.images.get_public_images %}
            <div class="carousel-item 
{% if forloop.counter == 1 %}active{% endif %}">
                <img src="{{ images.image.url }}" class="d-block w-100" alt="...">
            </div>
        {% endfor %}
    </div>
    <button class="carousel-control-prev" type="button" 
            data-bs-target="#carouselExampleControls"
            data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls"
            data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
    </button>
</div>
